Package Details: tomahawk-git 1:0.8.0rc1.1299.g97a407f83-1

Git Clone URL: https://aur.archlinux.org/tomahawk-git.git (read-only)
Package Base: tomahawk-git
Description: A Music Player App written in C++/Qt - development version
Upstream URL: http://tomahawk-player.org/
Licenses: GPL3
Conflicts: tomahawk
Provides: tomahawk
Submitter: SolarAquarion
Maintainer: None
Last Packager: SolarAquarion
Votes: 4
Popularity: 0.713412
First Submitted: 2015-12-02 13:26
Last Updated: 2017-04-23 01:08

Latest Comments

nerolucas commented on 2017-05-31 14:43

For those trying to build it, in the build phase before the cmake command, add:

sed 's/QTKEYCHAIN_FOUND/Qt5Keychain_FOUND/g' -i CMakeLists.txt

Add it should build correctly

Reference: https://github.com/tomahawk-player/tomahawk/issues/619#issuecomment-300711550

Paullux commented on 2017-04-22 12:33

Compilation error (qtkeychain 0.8.0-2 is installed, i needed downgraded to 0.7.0-1 to success compilation):


-----------------------------------------------------------------------------
-- The following REQUIRED packages could NOT be located on your system.
-- You must install these packages before continuing.
-----------------------------------------------------------------------------
* QtKeychain <https://github.com/frankosterfeld/qtkeychain>
Provides support for secure credentials storage

-----------------------------------------------------------------------------

CMake Error at CMakeModules/MacroLogFeature.cmake:152 (MESSAGE):
Exiting: Missing Requirements
Call Stack (most recent call first):
CMakeLists.txt:457 (macro_display_feature_log)


-- Configuring incomplete, errors occurred!
See also "/tmp/yaourt-tmp-paul/aur-tomahawk-git/src/tomahawk-git/CMakeFiles/CMakeOutput.log".
See also "/tmp/yaourt-tmp-paul/aur-tomahawk-git/src/tomahawk-git/CMakeFiles/CMakeError.log"

mis commented on 2017-04-11 23:40

@j1simon, it's provided by quazip. Same for qtkeychain-qt, provided by qtkeychain.
These two dependencies can be changed..

j1simon commented on 2017-03-10 08:43

error: target not found: quazip-qt5

retrofan commented on 2015-12-20 15:31

fyi: building now requires the extra-cmake-modules package (otherwise cmake will complain about missing ECM)